commit: d2c1e1404904f9ca7daeaa1cc828708a81188b90
Author: Sv. Lockal <lockalsash <AT> gmail <DOT> com>
AuthorDate: Wed Mar 6 16:02:21 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar 8 19:22:02 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d2c1e140
sci-libs/rocFFT: fix benchmark dependencies and collision with dev-util/perf
Signed-off-by: Sv. Lockal <lockalsash <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../{rocFFT-5.7.1-r1.ebuild => rocFFT-5.7.1-r2.ebuild} | 18 ++++++++++++++----
1 file changed, 14 insertions(+), 4 deletions(-)
diff --git a/sci-libs/rocFFT/rocFFT-5.7.1-r1.ebuild
b/sci-libs/rocFFT/rocFFT-5.7.1-r2.ebuild
similarity index 93%
rename from sci-libs/rocFFT/rocFFT-5.7.1-r1.ebuild
rename to sci-libs/rocFFT/rocFFT-5.7.1-r2.ebuild
index 4a924bd502a7..f4ddb494bf35 100644
--- a/sci-libs/rocFFT/rocFFT-5.7.1-r1.ebuild
+++ b/sci-libs/rocFFT/rocFFT-5.7.1-r2.ebuild
@@ -3,7 +3,7 @@
EAPI=8
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{10..12} )
ROCM_VERSION=${PV}
inherit cmake check-reqs edo multiprocessing python-r1 rocm
@@ -30,9 +30,11 @@ perfscripts? (
${PYTHON_DEPS}"
DEPEND="=dev-util/hip-5*
- ${PYTHON_DEPS}"
-
-BDEPEND="
+ ${PYTHON_DEPS}
+ benchmark? (
+ dev-libs/boost
+ sci-libs/hipRAND:${SLOT}[${ROCM_USEDEP}]
+ )
test? (
dev-cpp/gtest
dev-libs/boost
@@ -40,6 +42,9 @@ BDEPEND="
sys-libs/libomp
sci-libs/hipRAND:${SLOT}[${ROCM_USEDEP}]
)
+"
+
+BDEPEND="
>=dev-build/cmake-3.22
dev-build/rocm-cmake
dev-db/sqlite
@@ -137,6 +142,11 @@ src_install() {
if use benchmark; then
cd "${BUILD_DIR}"/clients/staging || die
dobin *rider
+
+ if ! use perfscripts; then
+ # prevent collision with dev-util/perf
+ rm -rf "${ED}"/usr/bin/perf || die
+ fi
fi
if use perfscripts; then